summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-nds/tac_plus/files/tac_plus.init')
-rw-r--r--net-nds/tac_plus/files/tac_plus.init23
1 files changed, 23 insertions, 0 deletions
diff --git a/net-nds/tac_plus/files/tac_plus.init b/net-nds/tac_plus/files/tac_plus.init
new file mode 100644
index 000000000000..28de144b48f6
--- /dev/null
+++ b/net-nds/tac_plus/files/tac_plus.init
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+opts="start stop restart"
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting tac_plus"
+ start-stop-daemon --start --quiet --exec /usr/bin/tac_plus \
+ -- -C /etc/tac_plus/tac_plus.conf ${TAC_PLUS_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping tac_plus"
+ start-stop-daemon --stop --quiet --pidfile /var/run/tac_plus.pid
+ eend $?
+}